Commit c4fd216b authored by Milian Wolff's avatar Milian Wolff
Browse files

Disable GCC-5 workaround for GCC-6 and higher

This isn't needed since ages anymore, so let's just skip it
for newer GCC.
parent 35ea746d
Pipeline #192234 passed with stage
in 16 minutes and 51 seconds
......@@ -29,7 +29,7 @@ target_link_libraries(kdevwelcomepage
KF5::Declarative
)
# see https://bugs.launchpad.net/ubuntu/+source/gcc-5/+bug/1568899
if (UNIX AND CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
if (UNIX AND CMAKE_CXX_COMPILER_ID STREQUAL "GNU" AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS "6.0.0")
message(WARNING "Applying workaround for https://bugs.launchpad.net/ubuntu/+source/gcc-5/+bug/1568899")
target_link_libraries(kdevwelcomepage gcc_s gcc)
endif()
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment